Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.model.entity
Class Card

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
          org.eclipse.higgins.ics.gwt.base.client.model.entity.Card

All Implemented Interfaces:
  Serializable

public class Card
extends BaseEntity
implements Serializable

Author:
  Alexander Yuhimenko
See Also:
  Serialized Form

Constructor Summary
`Card()`

Method Summary
`boolean` | `equals(Object obj)`
`CardCredential[]` | `getCardCredential()`
`CardInformation` | `getCardInfo()`
`CardInformation` | `getCardInformation()`
`String` | `getCardType()`
`ClaimItem[]` | `getClaimItems()`
`String` | `getCuid()`
`String` | `getDefaultIcon()`
`Date` | `getExpiredTime()`
`String` | `getId()`
`String` | `getImage()`
`String` | `getImageType()`
`Boolean` | `getIsRelationCatagory()`
`String` | `getIssuerName()`
`String[]` | `getRelatedCards()`
`String` | `getSelectedIcon()`
`Boolean` | `getSelfIssued()`
`int` | `hashCode()`
`boolean` | `isDefault()`
`boolean` | `isProtected()`
`Boolean` | `isRelationCatagory()`
`boolean` | `isSaveCredential()`
`boolean` | `isValueAvailable()`
`void` | `setCardCredential(CardCredential[] cardCredential)`
`void` | `setCardInfo(CardInformation cardInfo)`
`void` | `setCardInformation(CardInformation info)`
`void` | `setCardType(String cardType)`
`void` | `setClaimItems(ClaimItem[] claimItems)`
`void` | `setCuid(String cuid)`
`void` | `setDefault(boolean isDefault)`
`void` | `setDefaultIcon(String defaultIcon)`
`void` | `setExpiredTime(Date expiredTime)`
`void` | `setId(String id)`
`void` | `setImage(String image)`
`void` | `setImageType(String imageType)`
`void` | `setIsRelationCatagory(Boolean isRelationCatagory)`
`void` | `setIsSaveCredential(boolean isSave)`
`void` | `setIssuerName(String issuerName)`
`void` | `setProtected(boolean isProtected)`
`void` | `setRelatedCards(String[] relatedCards)`
`void` | `setRelationCatagory(Boolean isRelationCatagory)`
`void` | `setSaveCredential(boolean isSaveCredential)`
`void` | `setSelectedIcon(String selectedIcon)`
`void` | `setSelfIssued(Boolean selfIssued)`
`void` | `setValueAvailable(boolean isValueAvailable)`

Methods inherited from class org.eclipse.higgins.ics.gwt.base.client.model.entity.BaseEntity
`getName, setName`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Card

    public Card()

Method Detail

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getCuid

    public String getCuid()

  Returns:
    the cuid

### setCuid

    public void setCuid(String cuid)

  Parameters:
    `cuid` - the cuid to set

### getId

    public String getId()

  Returns:
    the id

### setId

    public void setId(String id)

  Parameters:
    `id` - the id to set

### getImageType

    public String getImageType()

  Returns:
    the imageType

### setImageType

    public void setImageType(String imageType)

  Parameters:
    `imageType` - the imageType to set

### getIssuerName

    public String getIssuerName()

  Returns:
    the issuerName

### setIssuerName

    public void setIssuerName(String issuerName)

  Parameters:
    `issuerName` - the issuerName to set

### getClaimItems

    public ClaimItem[] getClaimItems()

  Returns:
    the claimItems

### setClaimItems

    public void setClaimItems(ClaimItem[] claimItems)

  Parameters:
    `claimItems` - the claimItems to set

### getImage

    public String getImage()

  Returns:
    the image

### setImage

    public void setImage(String image)

  Parameters:
    `image` - the image to set

### getCardCredential

    public CardCredential[] getCardCredential()

  Returns:
    the cardCredential

### setCardCredential

    public void setCardCredential(CardCredential[] cardCredential)

  Parameters:
    `cardCredential` - the cardCredential to set

### isRelationCatagory

    public Boolean isRelationCatagory()

  Returns:
    the isRelationCatagory

### setRelationCatagory

    public void setRelationCatagory(Boolean isRelationCatagory)

  Parameters:
    `isRelationCatagory` - the isRelationCatagory to set

### getSelfIssued

    public Boolean getSelfIssued()

  Returns:
    the selfIssued

### setSelfIssued

    public void setSelfIssued(Boolean selfIssued)

  Parameters:
    `selfIssued` - the selfIssued to set

### getExpiredTime

    public Date getExpiredTime()

  Returns:
    the expiredTime

### setExpiredTime

    public void setExpiredTime(Date expiredTime)

  Parameters:
    `expiredTime` - the expiredTime to set

### getDefaultIcon

    public String getDefaultIcon()

  Returns:
    the defaultIcon

### setDefaultIcon

    public void setDefaultIcon(String defaultIcon)

  Parameters:
    `defaultIcon` - the defaultIcon to set

### getSelectedIcon

    public String getSelectedIcon()

  Returns:
    the selectedIcon

### setSelectedIcon

    public void setSelectedIcon(String selectedIcon)

  Parameters:
    `selectedIcon` - the selectedIcon to set

### isProtected

    public boolean isProtected()

  Returns:
    the isProtected

### setProtected

    public void setProtected(boolean isProtected)

  Parameters:
    `isProtected` - the isProtected to set

### isValueAvailable

    public boolean isValueAvailable()

  Returns:
    the isValueAvailable

### setValueAvailable

    public void setValueAvailable(boolean isValueAvailable)

  Parameters:
    `isValueAvailable` - the isValueAvailable to set

### setCardInformation

    public void setCardInformation(CardInformation info)

### getCardInformation

    public CardInformation getCardInformation()

### setIsSaveCredential

    public void setIsSaveCredential(boolean isSave)

### isSaveCredential

    public boolean isSaveCredential()

### getRelatedCards

    public String[] getRelatedCards()

### setRelatedCards

    public void setRelatedCards(String[] relatedCards)

### getCardType

    public String getCardType()

### setCardType

    public void setCardType(String cardType)

### getIsRelationCatagory

    public Boolean getIsRelationCatagory()

### setIsRelationCatagory

    public void setIsRelationCatagory(Boolean isRelationCatagory)

### getCardInfo

    public CardInformation getCardInfo()

### setCardInfo

    public void setCardInfo(CardInformation cardInfo)

### isDefault

    public boolean isDefault()

### setDefault

    public void setDefault(boolean isDefault)

### setSaveCredential

    public void setSaveCredential(boolean isSaveCredential)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD